clear all   %ڴб

close all    %رд򿪵ͼδ

subplot(2,3,1);

%Accuracy_N_done(4,:)=[0.401,0.590,0.724,0.785,0.822,0.862,0.890,0.908,0.917,0.924,0.944,0.954];
load('Accuracy_N_done_V3.mat');
x=60:10:150;
plot(x,Accuracy(1,1:10),'Color','red','lineStyle','-','marker','v','LineWidth',2.5);
hold on;
plot(x,Accuracy(2,1:10),'Color',[0.14,0.70,0.0],'lineStyle','-','marker','s','LineWidth',2.5);
plot(x,Accuracy(3,1:10),'Color',[0.42,0.08,0.67],'lineStyle','-','marker','p','LineWidth',2.5);
%plot(x_N,Accuracy(4,:),'Color','blue','lineStyle','-','marker','x','LineWidth',2.5);
plot(x,Accuracy(5,1:10),'Color',[0.46,0.01,0.01],'lineStyle','-','marker','o','LineWidth',2.5);
hold off;
xlabel('N');
ylabel('Accuracy');
axis([60,150,0.0,1.0]);
title('(a) Period Repetitions N','position',[100,-0.25],'FontSize',16);
hleg=legend('Our Method','Li''s Method','FFT','Yuan''s Method');
set(hleg,'Location','SouthEast');

clear all;

subplot(2,3,2);
load('Accuracy_T0_done_V2.mat');
% Accuracy_T0_done(1,:)=[0.989,0.972,0.956,0.938,0.936,0.922,0.891,0.883,0.831,0.778];
% Accuracy_T0_done(5,1)=0.58;
% Accuracy_T0_done(5,2)=0.56;
x=24:24:240;
plot(x,Accuracy(1,1:10),'Color','red','lineStyle','-','marker','v','LineWidth',2.5);
hold on;
plot(x,Accuracy(2,1:10),'Color',[0.14,0.70,0.0],'lineStyle','-','marker','s','LineWidth',2.5);
plot(x,Accuracy(3,1:10),'Color',[0.42,0.08,0.67],'lineStyle','-','marker','p','LineWidth',2.5);
%plot(x,Accuracy(4,:),'Color','blue','lineStyle','-','marker','x','LineWidth',2.5);
plot(x,Accuracy(5,1:10),'Color',[0.46,0.01,0.01],'lineStyle','-','marker','o','LineWidth',2.5);
hold off;
xlabel('T_0');
ylabel('Accuracy');
axis([24,240,0.0,1.0]);
set(gca,'XTick',24:24:240);
title('(b) True Period T_0','position',[120,-0.25],'FontSize',16);
clear all;


subplot(2,3,3);
load('Accuracy_t_done_V2.mat');
%Accuracy_t_done(1,:)=[0.956,0.979,0.965,0.964,0.965,0.962,0.964,0.972,0.968,0.969,0.965,0.965];
%Accuracy_t_done(5,:)=[0.580,0.560,0.600,0.510,0.570,0.560,0.570,0.540,0.530,0,0];
%Accuracy_t_done(5,1)=0.58;
x=0:2:23;
plot(x,Accuracy(1,1:12),'Color','red','lineStyle','-','marker','v','LineWidth',2.5);
hold on;
plot(x,Accuracy(2,1:12),'Color',[0.14,0.70,0.0],'lineStyle','-','marker','s','LineWidth',2.5);
plot(x,Accuracy(3,1:12),'Color',[0.42,0.08,0.67],'lineStyle','-','marker','p','LineWidth',2.5);
%plot(x,Accuracy(4,1:10),'Color','blue','lineStyle','-','marker','x','LineWidth',2.5);
plot(x,Accuracy(5,1:12),'Color',[0.46,0.01,0.01],'lineStyle','-','marker','o','LineWidth',2.5);
hold off;
xlabel('t_0');
ylabel('Accuracy');
axis([0,22,0.0,1.0]);
set(gca,'XTick',0:2:22);
title('(c) The average timestamp t_0','position',[11,-0.25],'FontSize',16);
clear all;

subplot(2,3,4);

%Accuracy_N_done(4,:)=[0.401,0.590,0.724,0.785,0.822,0.862,0.890,0.908,0.917,0.924,0.944,0.954];
load('Accuracy_gamma_done_V2.mat');
x=0:0.05:0.45;
%Accuracy_gamma_done(1,:)=[1,0.998,0.969,0.918,0.817,0.745,0.675,0.630,0.559,0.513];
plot(x,Accuracy(1,1:10),'Color','red','lineStyle','-','marker','v','LineWidth',2.5);
hold on;
plot(x,Accuracy(2,1:10),'Color',[0.14,0.70,0.0],'lineStyle','-','marker','s','LineWidth',2.5);
plot(x,Accuracy(3,1:10),'Color',[0.42,0.08,0.67],'lineStyle','-','marker','p','LineWidth',2.5);
%plot(x_gamma,Accuracy_gamma_done(4,:),'Color','blue','lineStyle','-','marker','x','LineWidth',2.5);
plot(x,Accuracy(5,1:10),'Color',[0.46,0.01,0.01],'lineStyle','-','marker','o','LineWidth',2.5);
hold off;
xlabel('\gamma');
ylabel('Accuracy');
axis([0,0.45,0.0,1.0]);
set(gca,'XTick',0:0.05:0.45);
title('(d) Noise ratio \gamma','position',[0.225,-0.25],'FontSize',16);
clear all;

subplot(2,3,5);
load('Accuracy_delta_done_V3.mat');
%Accuracy_N_done(1,1:20)=[0.198,0.521,0.845,0.969,0.992,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0];
%Accuracy_delta_done(1,4)=0.96;
x=0.1:0.015:0.235;
plot(x,Accuracy(1,1:10),'Color','red','lineStyle','-','marker','v','LineWidth',2.5);
hold on;
plot(x,Accuracy(2,1:10),'Color',[0.14,0.70,0.0],'lineStyle','-','marker','s','LineWidth',2.5);
plot(x,Accuracy(3,1:10),'Color',[0.42,0.08,0.67],'lineStyle','-','marker','p','LineWidth',2.5);
%plot(x,Accuracy(4,1:10),'Color','blue','lineStyle','-','marker','x','LineWidth',2.5);
plot(x,Accuracy(5,1:10),'Color',[0.46,0.01,0.01],'lineStyle','-','marker','o','LineWidth',2.5);
hold off;
xlabel('\delta');
ylabel('Accuracy');
axis([0.1,0.235,0.0,1.0]);
set(gca,'XTick',0.1:0.015:0.235);
title('(e) Sampling rate \delta','position',[0.1675,-0.25],'FontSize',16);
clear all;

subplot(2,3,6);

%Accuracy_N_done(4,:)=[0.401,0.590,0.724,0.785,0.822,0.862,0.890,0.908,0.917,0.924,0.944,0.954];
load('Accuracy_sigma_done_V2.mat');
x=0:0.25:2.25;
plot(x,Accuracy(1,1:10),'Color','red','lineStyle','-','marker','v','LineWidth',2.5);
hold on;
plot(x,Accuracy(2,1:10),'Color',[0.14,0.70,0.0],'lineStyle','-','marker','s','LineWidth',2.5);
plot(x,Accuracy(3,1:10),'Color',[0.42,0.08,0.67],'lineStyle','-','marker','p','LineWidth',2.5);
%plot(x,Accuracy(4,1:10),'Color','blue','lineStyle','-','marker','x','LineWidth',2.5);
plot(x,Accuracy(5,1:10),'Color',[0.46,0.01,0.01],'lineStyle','-','marker','o','LineWidth',2.5);
hold off;
xlabel('\sigma');
ylabel('Accuracy');
axis([0.0,2.25,0.0,1.0]);
set(gca,'XTick',0:0.25:2.25);
title('(f) Variance \sigma','position',[1.125,-0.25],'FontSize',16);